
ctools - Action #1813

Minor modifications and improvement to some cscripts

06/29/2016 02:36 PM - Mayer Michael

Status: Closed Start date: 06/29/2016

Priority: Normal Due date:  

Assigned To: Mayer Michael % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 1.1.0   

Description

I have prepared some changes to a few cscripts:

csfindobs:

Found observation IDs are added to the logger if chatter>=3

csiactcopy:

Allow for large number of runs in runlist input (split filename request and merge afterwards). This solves #1810.

csiactobs:

Improved handling of background models and logging in case irf background was not found. Added default for prod name parameter

in par file

csmodelinfo:

improve loging ("Save to ds9 file" is only printed if saving is actually done)

csobsinfo:

improve loging ("Save to ds9 file" is only printed if saving is actually done)

csmodelmerge

Parameter 'clobber' now has an effect and an error is raised if the output file already exists and clobber=no

I have also started to adapt some of them to the Python coding conventions but haven't been gone very far (Mainly changing " into ').

History

#1 - 06/29/2016 02:52 PM - Mayer Michael

- Status changed from New to Pull request

- Assigned To set to Mayer Michael

- Target version set to 1.1.0

- % Done changed from 0 to 100

I have added the changes to branch 1813-improvement-of-cscripts

#2 - 06/30/2016 12:30 PM - Knödlseder Jürgen

- Tracker changed from Bug to Action

- Status changed from Pull request to Closed

- Remaining (hours) set to 0.0

Merged into devel.
